Bug 1302395 - Appliance_console crash
Appliance_console crash
Status: CLOSED CURRENTRELEASE
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance (Show other bugs)
5.5.0
Unspecified Unspecified
medium Severity low
: GA
: 5.7.0
Assigned To: Joe Vlcek
luke couzens
appliance:cli
: TestOnly, ZStream
Depends On:
Blocks: 1351177
  Show dependency treegraph
 
Reported: 2016-01-27 13:03 EST by luke couzens
Modified: 2017-01-11 23:44 EST (History)
8 users (show)

See Also:
Fixed In Version: 5.7.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1351177 (view as bug list)
Environment:
Last Closed: 2017-01-11 14:58:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description luke couzens 2016-01-27 13:03:18 EST
Description of problem: Starting EVM server process without database kills appliance console.


Version-Release number of selected component (if applicable):5.5.2.2


How reproducible:100%


Steps to Reproduce:
1. create new appliance without database configured
2. ssh into appliance
3. run appliance_console
4. try to start evm server process

Actual results: appliance_console crashes


Expected results: Can't start EVM process without configuring a database


Additional info:

Start EVM Server Processes


Start CFME? (Y/N): y

Starting CFME Server...
/opt/rh/cfme-gemset/gems/awesome_spawn-1.3.0/lib/awesome_spawn.rb:102:in `run!': /bin/systemctl exit code: 1 (AwesomeSpawn::CommandResultError)
	from /opt/rh/cfme-gemset/gems/linux_admin-0.13.0/lib/linux_admin/common.rb:24:in `run!'
	from /opt/rh/cfme-gemset/gems/linux_admin-0.13.0/lib/linux_admin/service/systemd_service.rb:21:in `start'
	from /var/www/miq/vmdb/gems/pending/appliance_console.rb:348:in `block in <module:ApplianceConsole>'
	from /var/www/miq/vmdb/gems/pending/appliance_console.rb:114:in `loop'
	from /var/www/miq/vmdb/gems/pending/appliance_console.rb:114:in `<module:ApplianceConsole>'
	from /var/www/miq/vmdb/gems/pending/appliance_console.rb:98:in `<main>'
Comment 2 Shveta 2016-01-27 14:43:26 EST
Assigning to add test case
Comment 4 CFME Bot 2016-06-28 07:41:24 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/d2ef67110b7eddca623cae748c34b9ef92997350

commit d2ef67110b7eddca623cae748c34b9ef92997350
Author:     Joe VLcek <jvlcek@redhat.com>
AuthorDate: Mon Jun 27 16:55:32 2016 -0400
Commit:     Joe VLcek <jvlcek@redhat.com>
CommitDate: Mon Jun 27 16:55:32 2016 -0400

    Capture and report evmserverd start failures
    
    This fix it to avoid a stack trace and provide
    direction for diagnosing failures.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1302395

 gems/pending/appliance_console.rb | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)
Comment 7 luke couzens 2016-09-16 09:11:33 EDT
Verified in 5.7.0.0

Note You need to log in before you can comment on or make changes to this bug.